#!/bin/bash

export FPM_TUNE_VERSION=v4
export NGINX_CONF_VERSION=v4
export MY_CNF_VERSION=v4
export ENTRYPOINT_VERSION=v2

run_occ(){
    su -p www-data -s /bin/sh -c "/var/www/html/occ $@"
}

install_apps(){
    install_apps="$@"
    if [ -z "$install_apps" ]
    then
        install_apps=$APPS
    fi
    for app in $install_apps
    do
        run_occ "app:install $app"
    done
}

set_app_config(){
    APP=$1
    KEY=$2
    VALUE=$3
    run_occ "config:app:set $APP $KEY --value $VALUE"
}

install_bbb(){
    URL=$1 # https://talk.example.org/bigbluebutton/ (trailing slash!)
    SECRET=$2 # bbb secret key
    install_apps bbb
    set_app_config bbb app.navigation true
    set_app_config bbb api.url "$URL"
    set_app_config bbb api.secret "$SECRET"
}
